<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
These are some snapshot examples that explain the basic rgb effects
effects avaliable with AdvanceMAME.
The major intention of these effects is to simulate the visual aspect of
a real Arcade Monitor.
</p>

<h1>Stretch of 200% without any filter</h1>
<p>
The following examples are from the BombJack game with the game image
stretched by a 200% factor duplicating the pixels.
Different RGB effects are applyed.
</p>

<table>
<tr><td>
<span class="bold">no RGB effect</span><br>
<img src="rgb/bjnono.png" width="140" height="100" alt="None">
<img src="rgb/bjnonom0.png" width="88" height="100" alt="None">
<img src="rgb/bjnonom1.png" width="88" height="100" alt="None">
<img src="rgb/bjnonom2.png" width="140" height="100" alt="None">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 3 pixels</span><br>
<img src="rgb/bjnot3.png" width="140" height="100" alt="RGB Triad 3">
<img src="rgb/bjnot3m0.png" width="88" height="100" alt="RGB Triad 3">
<img src="rgb/bjnot3m1.png" width="88" height="100" alt="RGB Triad 3">
<img src="rgb/bjnot3m2.png" width="140" height="100" alt="RGB Triad 3">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 6 pixels</span><br>
<img src="rgb/bjnot6.png" width="140" height="100" alt="RGB Triad 6">
<img src="rgb/bjnot6m0.png" width="88" height="100" alt="RGB Triad 6">
<img src="rgb/bjnot6m1.png" width="88" height="100" alt="RGB Triad 6">
<img src="rgb/bjnot6m2.png" width="140" height="100" alt="RGB Triad 6">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 16 pixels</span><br>
<img src="rgb/bjnot1.png" width="140" height="100" alt="RGB Triad 16">
<img src="rgb/bjnot1m0.png" width="88" height="100" alt="RGB Triad 16">
<img src="rgb/bjnot1m1.png" width="88" height="100" alt="RGB Triad 16">
<img src="rgb/bjnot1m2.png" width="140" height="100" alt="RGB Triad 16">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 2 horizontal lines</span><br>
<img src="rgb/bjnoh2.png" width="140" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjnoh2m0.png" width="88" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjnoh2m1.png" width="88" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjnoh2m2.png" width="140" height="100" alt="RGB Scanline 2 horz">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 3 horizontal lines</span><br>
<img src="rgb/bjnoh3.png" width="140" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjnoh3m0.png" width="88" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjnoh3m1.png" width="88" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjnoh3m2.png" width="140" height="100" alt="RGB Scanline 3 horz">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 2 vertical lines</span><br>
<img src="rgb/bjnov2.png" width="140" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjnov2m0.png" width="88" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjnov2m1.png" width="88" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjnov2m2.png" width="140" height="100" alt="RGB Scanline 2 vert">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 3 vertical lines</span><br>
<img src="rgb/bjnov3.png" width="140" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjnov3m0.png" width="88" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjnov3m1.png" width="88" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjnov3m2.png" width="140" height="100" alt="RGB Scanline 3 vert">
</td></tr>
</table>

<h1>Stretch of 200% with a low pass filter</h1>
<p>
The game image is stretched by a 200% factor with a low pass filter.
The following examples are from the BombJack game with the game image
stretched by a 200% factor with <span class="bold">low pass filter</span>.
Different RGB effects are applyed.
</p>

<table>
<tr><td>
<span class="bold">no RGB effect</span><br>
<img src="rgb/bjfino.png" width="140" height="100" alt="RGB none">
<img src="rgb/bjfinom0.png" width="88" height="100" alt="RGB none">
<img src="rgb/bjfinom1.png" width="88" height="100" alt="RGB none">
<img src="rgb/bjfinom2.png" width="140" height="100" alt="RGB none">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 3 pixels</span><br>
<img src="rgb/bjfit3.png" width="140" height="100" alt="RGB Triad 3">
<img src="rgb/bjfit3m0.png" width="88" height="100" alt="RGB Triad 3">
<img src="rgb/bjfit3m1.png" width="88" height="100" alt="RGB Triad 3">
<img src="rgb/bjfit3m2.png" width="140" height="100" alt="RGB Triad 3">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 6 pixels</span><br>
<img src="rgb/bjfit6.png" width="140" height="100" alt="RGB Triad 6">
<img src="rgb/bjfit6m0.png" width="88" height="100" alt="RGB Triad 6">
<img src="rgb/bjfit6m1.png" width="88" height="100" alt="RGB Triad 6">
<img src="rgb/bjfit6m2.png" width="140" height="100" alt="RGB Triad 6">
</td></tr>
<tr><td>
<span class="bold">RGB triad of 16 pixels</span><br>
<img src="rgb/bjfit1.png" width="140" height="100" alt="RGB Triad 16">
<img src="rgb/bjfit1m0.png" width="88" height="100" alt="RGB Triad 16">
<img src="rgb/bjfit1m1.png" width="88" height="100" alt="RGB Triad 16">
<img src="rgb/bjfit1m2.png" width="140" height="100" alt="RGB Triad 16">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 2 horizontal lines</span><br>
<img src="rgb/bjfih2.png" width="140" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjfih2m0.png" width="88" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjfih2m1.png" width="88" height="100" alt="RGB Scanline 2 horz">
<img src="rgb/bjfih2m2.png" width="140" height="100" alt="RGB Scanline 2 horz">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 3 horizontal lines</span><br>
<img src="rgb/bjfih3.png" width="140" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjfih3m0.png" width="88" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjfih3m1.png" width="88" height="100" alt="RGB Scanline 3 horz">
<img src="rgb/bjfih3m2.png" width="140" height="100" alt="RGB Scanline 3 horz">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 2 vertical lines</span><br>
<img src="rgb/bjfiv2.png" width="140" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjfiv2m0.png" width="88" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjfiv2m1.png" width="88" height="100" alt="RGB Scanline 2 vert">
<img src="rgb/bjfiv2m2.png" width="140" height="100" alt="RGB Scanline 2 vert">
</td></tr>
<tr><td>
<span class="bold">RGB scanline 3 vertical lines</span><br>
<img src="rgb/bjfiv3.png" width="140" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjfiv3m0.png" width="88" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjfiv3m1.png" width="88" height="100" alt="RGB Scanline 3 vert">
<img src="rgb/bjfiv3m2.png" width="140" height="100" alt="RGB Scanline 3 vert">
</td></tr>
</table>

</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>



